> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of Monerium IBAN orders

> Returns a list of IBAN orders associated with the authenticated user.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/ibans/orders
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/ibans/orders:
    get:
      tags:
        - IBAN
      summary: Retrieve a list of Monerium IBAN orders
      description: Returns a list of IBAN orders associated with the authenticated user.
      responses:
        '200':
          description: A list of Monerium IBAN orders
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/IbanOrder'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      deprecated: true
      security:
        - bearerAuth: []
components:
  schemas:
    IbanOrder:
      type: object
      required:
        - id
        - kind
        - currency
        - amount
        - address
        - counterpart
        - state
        - meta
      properties:
        id:
          type: string
          description: Unique identifier for the order.
        kind:
          type: string
          enum:
            - redeem
            - issue
          description: Type of order.
        currency:
          type: string
          enum:
            - eur
            - usd
            - gbp
            - isk
          description: Currency of the order.
        amount:
          type: string
          description: Amount of the transaction in string format.
        address:
          type: string
          description: Ethereum address associated with the order.
        counterpart:
          type: object
          required:
            - details
            - identifier
          properties:
            details:
              type: object
              properties:
                name:
                  type: string
            identifier:
              type: object
              oneOf:
                - properties:
                    standard:
                      type: string
                      enum:
                        - iban
                    iban:
                      type: string
                  required:
                    - standard
                    - iban
                - properties:
                    standard:
                      type: string
                      enum:
                        - chain
                    address:
                      type: string
                    chain:
                      type: string
                  required:
                    - standard
                    - address
                    - chain
          description: Counterparty details.
        memo:
          type: string
          nullable: true
          description: Optional memo for the order.
        state:
          type: string
          enum:
            - placed
            - pending
            - processed
            - rejected
          description: State of the order.
        meta:
          type: object
          required:
            - placedAt
          properties:
            placedAt:
              type: string
              format: date-time
              description: Timestamp when the order was placed.
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````